function [] = initializeSoundspeedTable()
%INITIALIZESOUNDSPEEDTABLE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;


%% Check if edit offsets is ready
if ~artoa.data.hasMember(artoaWorkspace, {'editOffsets'})
    return;
end

%% Initialize soundspeed table for calculations
artoaWorkspace.editOffsets.soundspeed = table();

if artoa.data.hasMember(artoaWorkspace, {'trackParameter', 'soundspeedMethodString'})
    method = artoaWorkspace.trackParameter.soundspeedMethodString;
else
    method = 'del grosso';
end

artoaWorkspace.editOffsets.soundspeed{1, :} = [ ...
    artoa.data.calculateSoundVelocity( ...
        artoaWorkspace.temperature(artoaWorkspace.statusTemperature == 1), ...
        artoaWorkspace.pressure(artoaWorkspace.statusPressure == 1), ...
        method ...
    ) ...
    NaN ...
    NaN ...
];

artoaWorkspace.editOffsets.soundspeed.Properties.RowNames = {'Soundspeed'};
artoaWorkspace.editOffsets.soundspeed.Properties.VariableNames = ...
    {'Measured', 'Optimum', 'Applied'};

end

