function [emptyCell] = getDefaultCombinationCell()
%GETDEFAULTCOMBINATIONVALUES Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Initialize variables
startDate = floor(min(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));
endDate = floor(max(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));

%% Get last known position
isNotNan = ~isnan(artoaWorkspace.satData.lat_sat) & ~isnan(artoaWorkspace.satData.lon_sat);
knownPositions = [artoaWorkspace.satData.lat_sat(isNotNan), artoaWorkspace.satData.lon_sat(isNotNan)];
referencePosition = [num2str(knownPositions(1, 1)) ' ' num2str(knownPositions(1, 2))];

%% Create default cell
emptyCell = { ...
    startDate, ...
    endDate, ...
    '', ...
    referencePosition, ...
    1464, ...
    1464, ...
    1464, ...
    '', ...
    false ...
};

end

