function [ iridium_mean_data ] = get_iridium( p_profile )
%GET_IRIDIUM Returns iridium data block of the given profile.
%
%   Returns: Double of size 1x9 if iridium information is available.
%            Displays a warning if parameters are wrong, but returns false!
%
%   Parameters:
%   p_profile:          The nemo profile where gps data is being extracted.

%% Initializing return variables
iridium_mean_data = false;

%% Parameter check

if (~isstruct(p_profile))
    disp([mfilename ': Wrong parameter. Please check your input. Returning false!']);
    return
end

%% Check if iridium section is available
if (~isfield(p_profile, 'IRIDIUM_DATA'))
    iridium_mean_data = false;
    return
else
    % store all values
    iridium_mean_data = p_profile.IRIDIUM_DATA;
end

return;

end

